/*
	Serial Camera Client 
	Version 11/24/2010-A
	(C) 2010 Jason Hunt nulluser@gmail.com

	This program is free software; you can redistribute it and/or
    	modify it under the terms of the GNU General Public License
    	as published by the Free Software Foundation; either version 2
    	of the License, or (at your option) any later version.

    	This program is distributed in the hope that it will be useful,
    	but WITHOUT ANY WARRANTY; without even the implied warranty of
    	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    	GNU General Public License for more details.

    	You should have received a copy of the GNU General Public License
    	along with this program; if not, write to the Free Software
    	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/


#ifndef INPUT_H
#define INPUT_H

#define REPEAT_CODE 0x40000000

void key_down(WPARAM wParam, LPARAM lParam);       // Call to activate a key
void key_up(WPARAM wParam);         // Call to deactivate key
void process_mouse( LPARAM lParam );
void check_input( void );
void input_lose_focus( void );
void input_update(void);

extern bool debug;

#endif


