/*
	Serial Camera Client 
	Version 11/24/2010-A
	(C) 2010 Jason Hunt nulluser@gmail.com

	This program is free software; you can redistribute it and/or
    	modify it under the terms of the GNU General Public License
    	as published by the Free Software Foundation; either version 2
    	of the License, or (at your option) any later version.

    	This program is distributed in the hope that it will be useful,
    	but WITHOUT ANY WARRANTY; without even the implied warranty of
    	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    	GNU General Public License for more details.

    	You should have received a copy of the GNU General Public License
    	along with this program; if not, write to the Free Software
    	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/


#ifndef MAIN_H
#define MAIN_H
 
#define program_name "Serial Camera Client (C) nulluser@gmail.com V1.1"         
  
    
#define ID_FRAME      1            // Message for sample
#define ID_SECOND     2            // Message for second
#define ID_UPDATE     3            // Message for second


#define WM_NETEVENT WM_USER + 0



void system_shutdown(void);         // Call to shutdown program

LRESULT CALLBACK WinProc(HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam);
void console(char *fmt, ... );

extern float fps;
extern unsigned int frames;

#endif

